/************************************************************************/
/* LCDpl[` wb_                                       */
/************************************************************************/

#ifndef __LCDPANEL__
#define __LCDPANEL__

/* OtBbNXRg[\[X` */
#ifdef BOARD_HOKUTO
/* TFT-LCD GPG3224012QS4 */
#define LCD_HORIZONTAL_PERIOD         408	/*  */
#define LCD_HORIZONTAL_DISPLAY_PERIOD 320	/* \ */
#define LCD_HORIZONTAL_BACK_PORCH      38	/* obN|[` */
#define LCD_HORIZONTAL_PULSE_WIDTH      1	/*  */
#define LCD_VERTICAL_PERIOD           262	/*  */
#define LCD_VERTICAL_DISPLAY_PERIOD   240	/* \ */
#define LCD_VERTICAL_BACK_PORCH        18	/* obN|[` */
#define LCD_VERTICAL_PULSE_WIDTH        1	/*  */
#endif

#ifdef BOARD_WAKAMATSU
/* TFT-LCD PT035TN23 V.1 */
#define LCD_HORIZONTAL_PERIOD         408	/*  */
#define LCD_HORIZONTAL_DISPLAY_PERIOD 320	/* \ */
#define LCD_HORIZONTAL_BACK_PORCH      70	/* obN|[` */
#define LCD_HORIZONTAL_PULSE_WIDTH      1	/*  */
#define LCD_VERTICAL_PERIOD           263	/*  */
#define LCD_VERTICAL_DISPLAY_PERIOD   240	/* \ */
#define LCD_VERTICAL_BACK_PORCH        13	/* obN|[` */
#define LCD_VERTICAL_PULSE_WIDTH        1	/*  */
#endif	/* BOARD_WAKAMATSU */

/* OtBbN1 */
#define GRA1_HORIZONTAL_SIZE          320	/* \TCY */
#define GRA1_VERTICAL_SIZE            240	/* \TCY */
#define GRA1_HORIZONTAL_POS             0	/* \ʒu */
#define GRA1_VERTICAL_POS               0	/* \ʒu */

#define GRA1_VRAM_BASE         (0x3C100000 - 320 * 240 * 2)

/* OtBbN2 */
#define GRA2_HORIZONTAL_SIZE          320	/* \TCY */
#define GRA2_VERTICAL_SIZE            240	/* \TCY */
#define GRA2_HORIZONTAL_POS             0	/* \ʒu */
#define GRA2_VERTICAL_POS               0	/* \ʒu */
#define GRA2_VRAM_BASE         GRA1_VRAM_BASE

#define	BUSCNT_aRGB4444	0x10	/* aRGB:4444 format */
#define	BUSCNT_RGB565	0x00	/* RGB:565 */

#define	C_LAYER		0x02	/* Enable current layer */
#define	L_LAYER		0x01	/* Enable lower layer */

#define	LCD_WIDTH	320
#define	LCD_HEIGHT	240


/* LCDpl */
void LCDpanel_Initialize(void);
int slow_slide;


#endif
