/***************************************************************
	^b`pl䃋[`
***************************************************************/

/* CPUŗLWX^`wb_ */
#include "cpu.h"

/* CPU/荞ݐ֐wb_ */
#include "cpu_init.h"


/* ^b`plϐ */
volatile int TOUCH_Xmin;
volatile int TOUCH_Xmax;
volatile int TOUCH_Ymin;
volatile int TOUCH_Ymax;
volatile int TOUCH_stat;
volatile int TOUCH_PD;
volatile int TOUCH_nPDcnt;
volatile int TOUCH_Xtmp;
volatile int TOUCH_X;
volatile int TOUCH_Ytmp;
volatile int TOUCH_Y;

/* Lu[VftHgl */
#define TOUCH_Xmindefault 0x060
#define TOUCH_Xmaxdefault 0x3AF;
#define TOUCH_Ymindefault 0x070;
#define TOUCH_Ymaxdefault 0x38F;

/* pl𑜓x(hbg/C) */
#define LCD_WIDTH 320
#define LCD_HIGHT 240



/* YW(XIN) A-D͕ϊJn */
void TOUCH_ADXstart(void)
{
	*ADCSR = 0x2000; /* `l0ϊJn */
}

/* YW(XIN) A-D͕ϊʎ擾 */
unsigned short int TOUCH_ADXin(void)
{
	unsigned short int value;
	value = *ADCSR;  /* ǂ */
	*ADCSR = 0x0000; /* ϊI */
	value = *ADDRA;
	return (value>>6);
}

/* XW(YIN) A-D͕ϊJn */
void TOUCH_ADYstart(void)
{
	*ADCSR = 0x2001; /* `l1ϊJn */
}

/* XW(YIN) A-D͕ϊʎ擾 */
unsigned short int TOUCH_ADYin(void)
{
	unsigned short int value;
	value = *ADCSR;  /* ǂ */
	*ADCSR = 0x0001; /* ϊI */
	value = *ADDRB;
	return (value>>6);
}

/* nCCs[_X */
void TOUCH_AllHiZ(void)
{
	/* X1:PC2 X2:PC6 Y1:PC5 Y2:PC7 All input */
	*PCIOR0 = (*PCIOR0 & 0xFF1B);
}

/* XW擾pXd */
void TOUCH_X1X2(int i)
{
	if (i) {
		/* X1:PC2='H' X2:PC6='L' */
		*PCDR0 = (*PCDR0 & 0xFF1B) | 0x0004;
	} else {
		/* X1:PC2='L' X2:PC6='H' */
		*PCDR0 = (*PCDR0 & 0xFF1B) | 0x0040;
	}
	/* X1:PC2 X2:PC6  PC5,PC7:input */
	*PCIOR0 = (*PCIOR0 & 0xFF1B) | 0x0044;
}

/* YW擾pYd */
void TOUCH_Y1Y2(int i)
{
	if (i) {
		/* Y1:PC5='H' Y2:PC7='L' */
		*PCDR0 = (*PCDR0 & 0xFF1B) | 0x0020;
	} else {
		/* Y1:PC5='L' Y2:PC7='H' */
		*PCDR0 = (*PCDR0 & 0xFF1B) | 0x0080;
	}
	/* Y1:PC5 Y2:PC7  PC6,PC2:input */
	*PCIOR0 = (*PCIOR0 & 0xFF1B) | 0x00A0;
}

/* ^b`pl y_Eo */
void TOUCH_PenDownInitialize(void)
{
	/* y_Eopv_ER|[gPE3='L' */
	*PECR0 = *PECR0  & 0x0FFF;	/* GPIOI */
	*PEIOR0= *PEIOR0 | 0x0008;	/* PE3 o */
	*PEDR0 = *PEDR0  & 0xFFF7;	/* PE3 o̓WX^'L' */
	/* y_Eop'H'xo͏ */
	/* Y1:PC7='H' Y2:PC5='H' */
	*PCDR0 = (*PCDR0 & 0xFF1B) | 0x00A0;
	/* Y1:PC7 Y2:PC5  PC6,PC2:input */
	*PCIOR0 = (*PCIOR0 & 0xFF1B) | 0x00A0;
}

/* ^b`pl y_Eo */
int TOUCH_PenDownCheck(void)
{
	int i;
	/* LCD_X2(|[gPC6)Ԕ */
	i = *PCPR0 & 0x40;	/* Ă0ȊO */
	/* y_Eopv_ER|[gPE3 HiZ */
	*PEIOR0= *PEIOR0 & 0xFFF7;	/* PE3  */
	return i;
}

/* ^b`plp^C}荞ݏ(msŃR[邱) */
void TOUCH_Interrupt(void)
{
	switch(TOUCH_stat) {

	case 0 :
		/* ^b`pl y_Eo */
		TOUCH_PenDownInitialize();
		TOUCH_stat++;
		break;
	case 1 :
		/* ^b`pl y_Eo */
		if (TOUCH_PenDownCheck()) {
			/* ^b`pl y_Eo */
			TOUCH_PenDownInitialize();
			TOUCH_stat++;

//			/* 荞ݎȂĂꍇ͖߂ */
//			if (TOUCH_nPDcnt >= 200) {
//				CMT0_TimerSet(1); /* 荞ݎɖ߂ */
//			}
			TOUCH_nPDcnt = 0;

		} else {
			/* nCCs[_X */
			TOUCH_AllHiZ();
			TOUCH_PD = 0;
			TOUCH_stat = 0;

			/* ԃy_EoȂꍇ */
//			if (TOUCH_nPDcnt == 200) {	/* bo */
//				CMT0_TimerSet(100);	/* 荞ݎx */
//			} else if (TOUCH_nPDcnt < 200) {
				TOUCH_nPDcnt++;
//			}

		}
		break;
	case 2 :
		/* ^b`pl y_Eo */
		if (TOUCH_PenDownCheck()) {
			/* XW菀 */
			TOUCH_X1X2(1);
			TOUCH_stat++;
		} else {
			/* nCCs[_X */
			TOUCH_AllHiZ();
			TOUCH_PD = 0;
			TOUCH_stat = 0;
		}
		break;

	case 3 :
		/* XW(YIN) A-D͕ϊJn */
		TOUCH_ADYstart();
		TOUCH_stat++;
		break;
	case 4 :
		/* XW(YIN) A-D͕ϊʎ擾 */
		TOUCH_Xtmp = TOUCH_ADYin();
		/* YW菀 */
		TOUCH_Y1Y2(1);
		TOUCH_stat++;
		break;
	case 5 :
		/* YW(XIN) A-D͕ϊJn */
		TOUCH_ADXstart();
		TOUCH_stat++;
		break;
	case 6 :
		/* YW(XIN) A-D͕ϊʎ擾 */
		TOUCH_Ytmp = TOUCH_ADXin();
		/* ^b`pl y_Eo */
		TOUCH_PenDownInitialize();
		TOUCH_stat++;
		break;
	case 7 :
		/* ^b`pl y_Eo */
		if (TOUCH_PenDownCheck()) {
			/* ^b`pl y_Eo */
			TOUCH_PenDownInitialize();
			TOUCH_stat++;
		} else {
			/* nCCs[_X */
			TOUCH_AllHiZ();
			TOUCH_PD = 0;
			TOUCH_stat = 0;
		}
		break;
	case 8 :
		/* ^b`pl y_Eo */
		if (TOUCH_PenDownCheck()) {
			/* ŏImWێ */
			TOUCH_PD = 1;
			TOUCH_X = TOUCH_Xtmp;
			TOUCH_Y = TOUCH_Ytmp;
		} else {
			/* nCCs[_X */
			TOUCH_AllHiZ();
			TOUCH_PD = 0;
		}
		TOUCH_stat = 0;
		break;
	}

}

/* ^b`pl䏉 */
void TOUCH_Initialize(void)
{
	/* |[gPC7,6,5 GPIOI */
	*PCCR1 = (*PCCR1 & 0x000F);
	/* |[gPC2 GPIOI */
	*PCCR0 = (*PCCR0 & 0xF0FF);
	TOUCH_AllHiZ();
	/* |[gAN0AN1A-Dϊ|[gƂėp */
	*PHCR0 = (*PHCR0 & 0xFF00) | 0x0011;
	/* y_Eopv_ER|[gPE3 HiZ */
	*PECR0 = *PECR0  & 0x0FFF;	/* GPIOI */
	*PEIOR0= *PEIOR0 & 0xFFF7;	/* PE3  */
	*PEDR0 = *PEDR0  & 0xFFF7;	/* PE3 o̓WX^'L' */
	/* A-DRo[^ X^oC */
	*STBCR3= *STBCR3 & 0xFB;

	/* gpϐ */
	/* ő/ŏl̃ftHgl */
	TOUCH_Xmin = TOUCH_Xmindefault;
	TOUCH_Xmax = TOUCH_Xmaxdefault;
	TOUCH_Ymin = TOUCH_Ymindefault;
	TOUCH_Ymax = TOUCH_Ymaxdefault;
	/* ϐɊi[Ă̂ŁA[UŃLu[V邱Ƃ\ */
	TOUCH_stat = 0;
	TOUCH_PD = TOUCH_nPDcnt = 0;
	TOUCH_Xtmp = TOUCH_X = 0;
	TOUCH_Ytmp = TOUCH_Y = 0;

//	/* RyA}b`^C}0  */
//	CMT0_Initialize();
}


/* ^b`pl y_EԎ擾 */
int TOUCH_GetPenDown(void)
{
	return TOUCH_PD;
}

/* ^b`pl ^b`W擾(A-Dϊl) */
unsigned int TOUCH_GetXYvalue(void)
{
	return ((TOUCH_Y) << 16) | TOUCH_X;
}

/* ^b`pl ^b`W擾(hbgW) */
unsigned int TOUCH_GetXY(void)
{
	int x, y;
	double xd, yd;
	xd = (double)TOUCH_X;
	yd = (double)TOUCH_Y;
	xd = ((xd - TOUCH_Xmin) / (TOUCH_Xmax - TOUCH_Xmin)) * 320;
	yd = ((yd - TOUCH_Ymin) / (TOUCH_Ymax - TOUCH_Ymin)) * 240;
	x = (int)xd;
	if (x < 0) x = 0;
	if (x > (LCD_WIDTH - 1)) x = (LCD_WIDTH - 1);
	y = LCD_HIGHT - (int)yd; /* Ŷ݂ЂԂ */
	if (y < 0) y = 0;
	if (y > (LCD_HIGHT - 1)) y = (LCD_HIGHT - 1);
	return (y << 16) | x;
}


